Name:           feh
Version:        2.19.1
Release:        1
Summary:        Fast command line image viewer using Imlib2
Group:          Applications/Multimedia
License:        MIT
URL:            https://feh.finalrewind.org/
Source0:        https://feh.finalrewind.org/archive/%{name}-%{version}.tar.bz2
Source1:        https://feh.finalrewind.org/archive/%{name}-%{version}.tar.bz2.asc
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  curl-devel >= 7.55.1-1
BuildRequires:  imlib2-devel >= 1.4.9-1
BuildRequires:  libpng-devel >= 1.6.34-1
BuildRequires:  make
Requires:       curl >= 7.55.1-1
Requires:       imlib2 >= 1.4.9-1
Requires:       libpng >= 1.6.34-1

%description
feh is a versatile and fast image viewer using imlib2, the
premier image file handling library. feh has many features,
from simple single file viewing, to multiple file modes using
a slideshow or multiple windows. feh supports the creation of
montages as index prints with many user-configurable options.


%prep
%setup -q
%patch0


%build
# j>1 does not work
gmake CC="xlc_r" %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog README.md TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.19.1-1
- updated to version 2.19.1

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.19-1
- updated to version 2.19

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.18.3-1
- updated to version 2.18.3

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.18.2-1
- updated to version 2.18.2

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.18.1-1
- updated to version 2.18.1

* Mon Dec 19 2016 Michael Perzl <michael@perzl.org> - 2.18-1
- updated to version 2.18

* Tue Feb 02 2016 Michael Perzl <michael@perzl.org> - 2.14-1
- updated to version 2.14

* Wed May 28 2014 Michael Perzl <michael@perzl.org> - 2.12-1
- updated to version 2.12

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.10-1
- updated to version 2.10

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 2.9.3-1
- updated to version 2.9.3

* Sun Feb 17 2013 Michael Perzl <michael@perzl.org> - 2.9.1-1
- updated to version 2.9.1

* Tue Dec 25 2012 Michael Perzl <michael@perzl.org> - 2.8-1
- updated to version 2.8

* Wed Oct 17 2012 Michael Perzl <michael@perzl.org> - 2.7-1
- updated to version 2.7

* Fri Sep 28 2012 Michael Perzl <michael@perzl.org> - 2.6.3-1
- updated to version 2.6.3

* Thu Sep 13 2012 Michael Perzl <michael@perzl.org> - 2.6.1-1
- updated to version 2.6.1

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6
- added missing dependency on curl

* Thu Apr 05 2012 Michael Perzl <michael@perzl.org> - 2.5-1
- updated to version 2.5

* Wed Mar 07 2012 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Thu Nov 03 2011 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Mon Oct 10 2011 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Tue Sep 27 2011 Michael Perzl <michael@perzl.org> - 1.16.2-1
- updated to version 1.16.2

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 1.16.1-1
- updated to version 1.16.1

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 1.16-1
- updated to version 1.16

* Wed Aug 17 2011 Michael Perzl <michael@perzl.org> - 1.15.1-1
- updated to version 1.15.1

* Mon Aug 15 2011 Michael Perzl <michael@perzl.org> - 1.15-1
- updated to version 1.15

* Mon Jul 04 2011 Michael Perzl <michael@perzl.org> - 1.14.2-1
- updated to version 1.14.2

* Fri May 20 2011 Michael Perzl <michael@perzl.org> - 1.14.1-1
- updated to version 1.14.1

* Wed May 11 2011 Michael Perzl <michael@perzl.org> - 1.14-1
- updated to version 1.14

* Sat Apr 23 2011 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Sun Mar 13 2011 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Wed Feb 09 2011 Michael Perzl <michael@perzl.org> - 1.11.2-1
- updated to version 1.11.2

* Sun Jan 23 2011 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.10.1-1
- updated to version 1.10.1

* Fri Oct 08 2010 Michael Perzl <michael@perzl.org> - 1.10-1
- first version for AIX V5.1 and higher
